Subject: Re: bug#5294: 23.1; unload-feature disable minor-mode

From: Kevin Ryde <[email-masked]>
Date: Sun, 03 Jan 2010 10:58:32 +1100

Juanma Barranquero <[email-masked]> writes:
>
> I don't know whether, in general, you want to disable all effects of a
> mode after downloading it.

It seems unlikely a minor mode can do anything much good when its
functions have been unloaded.  Some "static" effects might be ok, but
anything active would presumably stick in an unchanging state or start
to error out, either a bit or badly.

> FOO-unload-hook is

... a flexible way for unrelated libraries, macros or bits of code to
undo things they know about, even different conditionalized parts of one
.el like in tramp-util.el.  A kind of inverse to eval-after-load,
difficult to arrange on a monolithic unload func.